﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

using System.Drawing.Printing;
using System.IO;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        Graphics g;
        Bitmap bmp;

        public Form1()
        {
            InitializeComponent();
           // g = panel1.CreateGraphics();
           // g = Graphics.FromHwnd(panel1.Handle);
            bmp = new Bitmap(panel1.Width, panel1.Height);
            g = Graphics.FromImage(bmp);
        }

        private void panel1_Paint(object sender, PaintEventArgs e)
        {
           // g = e.Graphics;
            e.Graphics.DrawImage(bmp, 0, 0);
        }

        private void deseneazaElipsaToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Pen pen = new Pen(Color.Red, 3);
            Rectangle rec = new Rectangle(40, 40, 300, 150);
            g.DrawEllipse(pen, rec);
            g.DrawString("Elipsa", new Font(FontFamily.GenericSansSerif, 12, FontStyle.Bold),
                new SolidBrush(Color.Black), new Point(40, 40));
            panel1.Invalidate();
        }

        private void deseneazaDreptunghiToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Pen pen = new Pen(Color.Blue, 3);
            Rectangle rec = new Rectangle(40, 40, 300, 150);
            g.DrawRectangle(pen, rec);
            g.DrawString("Dreptunghi", new Font(FontFamily.GenericSansSerif, 12, FontStyle.Bold),
                new SolidBrush(Color.Black), new Point(40, 60));
            panel1.Invalidate();
        }

        private void deseneazaLinieToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Pen pen = new Pen(Color.Green, 3);
            g.DrawLine(pen, 40, 40, 200, 200);
            g.DrawString("Linie", new Font(FontFamily.GenericSansSerif, 12, FontStyle.Bold),
               new SolidBrush(Color.Black), new Point(40, 80));
            panel1.Invalidate();
        }

        private void deseneazaPlacintaToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Pen pen = new Pen(Color.Blue, 3);
            Rectangle rec = new Rectangle(40, 40, 300, 150);
            g.DrawArc(pen, rec, 150, 300);
            g.DrawString("Placinta", new Font(FontFamily.GenericSansSerif, 12, FontStyle.Bold),
                new SolidBrush(Color.Black), new Point(40, 100));
            panel1.Invalidate();
        }

        private void umpleElipsaToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Brush br = new SolidBrush(Color.Yellow);
            Rectangle rec = new Rectangle(40, 40, 300, 150);
            g.FillEllipse(br, rec);
            panel1.Invalidate();
        }

        private void umpleDreptunghiToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Brush br = new SolidBrush(Color.Turquoise);
            Rectangle rec = new Rectangle(40, 40, 300, 150);
            g.FillRectangle(br, rec);
            panel1.Invalidate();
        }

        private void umplePlacintaToolStripMenuItem_Click(object sender, EventArgs e)
        {
            Brush br = new SolidBrush(Color.Tomato);
            Rectangle rec = new Rectangle(40, 40, 300, 150);
            g.FillPie(br, rec, 150, 300);
            panel1.Invalidate();
        }

        //protected override void OnPaint(PaintEventArgs e)
        //{
        //    base.OnPaint(e);
        //    g = e.Graphics;
        //}

        private void pd_print(object sender, PrintPageEventArgs e)
        {
            Graphics gr = e.Graphics;
            Rectangle rec = new Rectangle(e.PageBounds.X, e.PageBounds.Y,
                e.PageBounds.Width, e.PageBounds.Height);
            Pen pen = new Pen(Color.Blue, 3);
            gr.DrawRectangle(pen, rec);
            Brush br = new SolidBrush(Color.Red);
            gr.FillEllipse(br, rec);
            gr.DrawString("Paste Fericit!", new Font(FontFamily.GenericSansSerif, 20, FontStyle.Bold),
                new SolidBrush(Color.White), new Point(e.PageBounds.Width / 2 - 60, e.PageBounds.Height/2));

        }

        private void printPreviewToolStripMenuItem_Click(object sender, EventArgs e)
        {
            PrintDocument pd = new PrintDocument();
            pd.PrintPage += new PrintPageEventHandler(this.pd_print);
            PrintPreviewDialog dlg = new PrintPreviewDialog();
            dlg.Document = pd;
            dlg.ShowDialog();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            chart1.Titles.Add("Reprezentare grafica");
            chart1.ChartAreas[0].AxisX.Interval = 1;
            chart1.ChartAreas[0].AxisY.Interval = 10;
            chart1.ChartAreas[0].AxisX.Maximum = 6;
            chart1.ChartAreas[0].BackColor = Color.Aqua;
            chart1.Series[0].Color = Color.Red;
            for (int i = 0; i < 5; i++)
            {
                chart1.Series[0].Points.Add(i + 10);
                chart1.Series[0].IsValueShownAsLabel = true;
            }
        }
    }
}
